<template>
  <table class="gp-month-flags -text--smaller">
    <thead>
      <tr>
        <th v-for="(month, index) in months" :key="index" class="-text--center -text--small" :class="{'gp-month-flag__cell--active': index === currentMonth }">{{ month[0] }}</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="(values, name) in flags" :key="name">
        <th class="-text--right">{{ name }}</th>
        <td v-for="(value, index) in values" :key="index" class="gp-month-flag__cell -text--center" :class="{'gp-month-flag__cell--active': index+1 === currentMonth, ok: value}">
          <rui-icon :name="value? 'check' : 'blank'" />
        </td>
      </tr>
    </tbody>
  </table>
</template>

<script>
import RuiIcon from '@experiments-labs/rise_ui/src/components/Icon/Icon.vue'

/**
 * Displays a table with months as columns and a checkmark for active months
 *
 * Current month is highlighted
 *
 * @preset default { "props": { "flags": { "A line": [ 0, 1, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0 ], "another line": [ false, true, true, true, null, false, null, 0, 0, 0, 0, 0 ] } } }
 */
export default {
  name: 'GpMonthsFlags',
  components: { RuiIcon },
  props: {
    /**
     * Needs key/values as: `{ 'row name': [value1, value2, ...], }`. Values have to be _truthy/falsy_.
     */
    flags: { required: true, type: Object },
  },
  data () {
    return {
      months: this.$tm('date.abbr_month_names'),
      currentMonth: new Date().getMonth() + 1,
    }
  },
}
</script>
